<?php
include 'inc/config.php';
include 'inc/functions.php';
include 'inc/session.php';

?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>Войти в панель управления</title>
        <link href="css/styles.css?1" rel="stylesheet" />
        <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.11.2/js/all.min.js" crossorigin="anonymous"></script>
    </head>
    <body class="bg-dark">
        <div id="layoutAuthentication">
            <div id="layoutAuthentication_content">
                <main>
                    <div class="container">
                        <div class="row justify-content-center">
                            <div class="col-lg-5">
                                <div class="card shadow-lg border-0 rounded-lg mt-5">
                                    <div class="card-body">
                                        <form>
                                            <div class="form-group"><label class="small mb-1" for="inputLogin">Логин</label><input class="form-control py-4" id="inputLogin" name="login" type="text" placeholder="Введите логин" /></div>
                                            <div class="form-group"><label class="small mb-1" for="inputPassword">Пароль</label><input class="form-control py-4" id="inputPassword" name="password" type="password" placeholder="Введите пароль" /></div>
                                            <div class="form-group">
                                                <button class="w-100 btn btn-primary py-2" onclick="login_site();return false;">Войти</button>
                                            </div>
                                            
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </main>
            </div>

        </div>
        <script src="https://code.jquery.com/jquery-3.4.1.min.js" crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
        <script src="js/scripts.js"></script>
<script type="text/javascript">
function login_site(){

var data = $('form').serializeFormJSON();
        
$.post('login/handler',{data:data},

function(data){
	if(data.status == 'success'){
		location.href = '/dashboard';
	} else if (data.status == 'empty_info'){
		alert('Ошибка! Не верные данные');
	}
}
);
}

(function ($) {
    $.fn.serializeFormJSON = function () {

        var o = {};
        var a = this.serializeArray();
        $.each(a, function () {
            if (o[this.name]) {
                if (!o[this.name].push) {
                    o[this.name] = [o[this.name]];
                }
                o[this.name].push(this.value || '');
            } else {
                o[this.name] = this.value || '';
            }
        });
        return o;
    };
})(jQuery);
</script>
    </body>
</html>
