<?php
set_time_limit(0);

$dir = str_replace('/_handlers', '', __DIR__);

include $dir . '/_inc/cfg.php';
include $dir . '/_inc/func.php';

$send_at = strtotime(date('Y-m-d H:i'));

$senders = getSendersCron(1, 1, $send_at);

echo "В очереди: " . count($senders) . ' | Время: ' . $send_at;

foreach ($senders as $key_sender => $sender)
{

    editSender($sender['id'], 'status', 2);

    if ($sender['type'] == 2)
    {

        $bundles = getMyBundlesAll($sender['uid']);

        foreach ($bundles as $key => $bundle)
        {

            $bot = getBotByID($bundle['bid']);

            $token[$key_sender] = $bot['token'];

            $api = 'https://api.telegram.org/bot' . $token[$key_sender];

            $members = getMembersCron($bundle['bid'], $bundle['rid']);

            foreach ($members as $key => $member)
            {

                $k = null;

                if ($sender['buttons'] != '')
                {

                    $buttons = explode("\n", $sender['buttons']);
                    foreach ($buttons as $key => $button)
                    {

                        $button = trim($button);

                        $param_btn_two = explode(" | ", $button);

                        $ka[$key_sender] = [];

                        foreach ($param_btn_two as $key => $button)
                        {
                            $button = trim($button);
                            $param_btn = explode(" - ", $button);

                            $ka[$key_sender][] = ["text" => urlencode($param_btn[0]) , "url" => $param_btn[1]];
                        }

                    }

                    $kp[$key_sender] = ["inline_keyboard" => [$ka[$key_sender]]];
                    $k[$key_sender] = json_encode($kp[$key_sender]);
                }

                if ($sender['media'] != '')
                {
                    $msg = sendPhoto('api', $member['chat_id'], $sender['media'], $sender['text'], $sender['is_preview'], $k[$key_sender]);
                }
                else
                {
                    $msg = sendMessage('api', $member['chat_id'], $sender['text'], $sender['is_preview'], $k[$key_sender]);
                }

                if (!empty($msg['result']['message_id']))
                {
                    editSenderPlus($sender['id'], 'success', 1);
                }
                else
                {
                    editSenderPlus($sender['id'], 'errors', 1);
                }

            }

        }

    }

    if ($sender['type'] == 0)
    {

        $bundle = getBundleByID($sender['bind_id']);
        $bot = getBotByID($bundle['bid']);

        $api = 'https://api.telegram.org/bot' . $bot['token'];

        editSender($sender['id'], 'status', 2);

        $members = getMembersCron($bundle['bid'], $bundle['rid']);

        foreach ($members as $key => $member)
        {

            $k = null;

            if ($sender['buttons'] != '')
            {

                $buttons = explode("\n", $sender['buttons']);
                foreach ($buttons as $key => $button)
                {

                    $button = trim($button);

                    $param_btn_two = explode(" | ", $button);

                    $ka[$key_sender] = [];

                    foreach ($param_btn_two as $key => $button)
                    {
                        $button = trim($button);
                        $param_btn = explode(" - ", $button);

                        $ka[$key_sender][] = ["text" => urlencode($param_btn[0]) , "url" => $param_btn[1]];
                    }

                }

                $kp[$key_sender] = ["inline_keyboard" => [$ka[$key_sender]]];
                $k[$key_sender] = json_encode($kp[$key_sender]);
            }

            if ($sender['media'] != '')
            {
                $msg = sendPhoto('api', $member['chat_id'], $sender['media'], $sender['text'], $sender['is_preview'], $k[$key_sender]);
            }
            else
            {
                $msg = sendMessage('api', $member['chat_id'], $sender['text'], $sender['is_preview'], $k[$key_sender]);
            }

            if (!empty($msg['result']['message_id']))
            {
                editSenderPlus($sender['id'], 'success', 1);
            }
            else
            {
                editSenderPlus($sender['id'], 'errors', 1);
            }

        }

    }

    editSender($sender['id'], 'status', 3);

}

