<?php
include 'inc/config.php';
include 'inc/functions.php';
include 'inc/session.php';

if (empty($user['login']) and empty($user['password']))
{
    header('Location:' . $base_url . 'logout');
    exit;
}

session_write_close();

if(!empty($_POST) && isset($_POST)){$post = $_POST;}

try
{

    if (!empty($post))
    {

    $list_id = intval(explode('/',$_SERVER['REQUEST_URI'])[4]);

$draw = $post['draw'];
$row = $post['start'];
$rowperpage = $post['length']; // Rows display per page
$columnIndex = $post['order'][0]['column']; // Column index
$columnName = $post['columns'][$columnIndex]['data']; // Column name
$columnSortOrder = $post['order'][0]['dir']; // asc or desc
$searchValue = $post['search']['value'];

if($post['columns'][$columnIndex]['data'] == 0){$columnName = 'id';}

$searchQuery = " ";

if($searchValue != ''){
	$searchQuery = " and (username like '%".$searchValue."%') ";
}

if($list_id != 0){

$stmt = $pdo->prepare("SELECT * FROM bots WHERE project_id=:project_id AND list_id=:list_id");
$stmt->bindParam(':project_id', $project_id);
$stmt->bindParam(':list_id', $list_id);
$stmt->execute();
$records = $stmt->fetchAll(PDO::FETCH_ASSOC);
$totalRecords = $stmt->rowCount();

$stmt = $pdo->prepare("SELECT * FROM bots WHERE project_id=:project_id AND list_id=:list_id".$searchQuery);
$stmt->bindParam(':project_id', $project_id);
$stmt->bindParam(':list_id', $list_id);
$stmt->execute();
$records = $stmt->fetch(PDO::FETCH_ASSOC);
$totalRecordwithFilter = $stmt->rowCount();

$stmt = $pdo->prepare("SELECT COUNT(*) FROM bots WHERE project_id=:project_id AND list_id=:list_id".$searchQuery);
$stmt->bindParam(':project_id', $project_id);
$stmt->bindParam(':list_id', $list_id);
$stmt->execute();
$records = $stmt->fetch(PDO::FETCH_ASSOC);

$empQuery = "SELECT * FROM bots WHERE project_id=:project_id AND list_id=:list_id".$searchQuery." ORDER BY ".$columnName." ".$columnSortOrder." LIMIT ".$row.",".$rowperpage;

$stmt = $pdo->prepare($empQuery);
$stmt->bindParam(':project_id', $project_id);
$stmt->bindParam(':list_id', $list_id);
$stmt->execute();
$empRecords = $stmt->fetchAll(PDO::FETCH_ASSOC);

} else {

$stmt = $pdo->prepare("SELECT * FROM bots WHERE project_id=:project_id");
$stmt->bindParam(':project_id', $project_id);
$stmt->execute();
$records = $stmt->fetchAll(PDO::FETCH_ASSOC);
$totalRecords = $stmt->rowCount();

$stmt = $pdo->prepare("SELECT * FROM bots WHERE project_id=:project_id".$searchQuery);
$stmt->bindParam(':project_id', $project_id);
$stmt->execute();
$records = $stmt->fetch(PDO::FETCH_ASSOC);
$totalRecordwithFilter = $stmt->rowCount();

$stmt = $pdo->prepare("SELECT COUNT(*) FROM bots WHERE project_id=:project_id".$searchQuery);
$stmt->bindParam(':project_id', $project_id);
$stmt->execute();
$records = $stmt->fetch(PDO::FETCH_ASSOC);

$empQuery = "SELECT * FROM bots WHERE project_id=:project_id".$searchQuery." ORDER BY ".$columnName." ".$columnSortOrder." LIMIT ".$row.",".$rowperpage;

$stmt = $pdo->prepare($empQuery);
$stmt->bindParam(':project_id', $project_id);
$stmt->execute();
$empRecords = $stmt->fetchAll(PDO::FETCH_ASSOC);

}

$data = array();

foreach ($empRecords as $key => $row) {


$bot_id = $row['id'];

$count_users_success = 0;
$count_users_errors = 0;

$res_count = $pdo->prepare("SELECT * FROM users WHERE bot_id=:bot_id AND status=1");
$res_count->bindParam(':bot_id', $bot_id);
$res_count->execute();
$count_users_success = $res_count->rowCount();

$res_count = $pdo->prepare("SELECT * FROM users WHERE bot_id=:bot_id AND status=2");
$res_count->bindParam(':bot_id', $bot_id);
$res_count->execute();
$count_users_errors = $res_count->rowCount();

if($row['status'] == 0){
    $status_bot = '<i class="fas fa-check-circle text-success"></i> Активен';
    $act_bot[0] = '<i class="far fa-stop-circle text-danger mx-2" onclick="stop_bot('.$bot_id.');" style="cursor:pointer" title="Остановить"></i>';
}

if($row['status'] == 1){
    $status_bot = '<i class="fas fa-times-circle text-danger"></i> Остановлен';
    $act_bot[0] = '<i class="far fa-play-circle mx-2 text-success" onclick="start_bot('.$bot_id.');" style="cursor:pointer" title="Запустить"></i>';
}


if($row['status'] == 2){
    $status_bot = '<i class="fas fa-times-circle text-danger"></i> Удален';
    $act_bot[0] = '';
}

$act_bot[1] = '<i class="far fa-edit mx-2" style="cursor:pointer" title="Редактировать" onclick="editBot('.$row['temp_id'].','.$row['id'].',\''.$row['token'].'\');" data-toggle="modal" data-target="#editBot"></i>';

$act_bot[2] = '<i class="far fa-trash-alt text-danger mx-2" style="cursor:pointer" title="Удалить" onclick="del_bot('.$row['id'].');"></i>';

$res_template = $pdo->prepare("SELECT * FROM templates WHERE id=:id");
$res_template->bindParam(':id', $row['temp_id']);
$res_template->execute();
$template = $res_template->fetch(PDO::FETCH_ASSOC);


$res = $pdo->prepare("SELECT * FROM bots_list WHERE id=:id");
$res->bindParam(':id', $row['list_id']);
$res->execute();
$list = $res->fetch(PDO::FETCH_ASSOC);

$list_block = 'Не указано';

if(!empty($list['id'])){
$list_block = $list['title'];
}

// $data[] = [$row['id'],$row['username'],$row['temp_id'],'-',$row['status'],$row['date_created'],'-'];

$data[] = ['',$row['id'].'<input type="hidden" name="id[]" value="'.$row['id'].'">','<a class="font-weight-bold" target="_blank" href="https://t.me/'.$row['username'].'">'.$row['username'].'</a>','<div class="text-center">'.$list_block.'</div>','<div class="text-center"><a target="_blank" href="project/'.$hash_project.'/constructor/'.$template['id'].'">'.$template['name'].'</a></div>','<div class="text-center"><span class="text-success">'.$count_users_success.'</span><span class="mx-1">/</span><span class="text-danger">'.$count_users_errors.'</span></div>','<div class="text-center">'.$status_bot.'</div>',
'<div class="text-center">'.showDate(strtotime($row['date_created'])).'</div>','<div class="text-center"><span id="act_bot_'.$row['id'].'">'.$act_bot[0].'</span>'.$act_bot[1].$act_bot[2].'</div>'];


}

$response = array(
  "draw" => intval($draw),
  "iTotalRecords" => $totalRecords,
  "iTotalDisplayRecords" => $totalRecordwithFilter,
  "aaData" => $data
);

header('Content-type: application/json');
echo json_encode($response);
    }

}

catch(Exception $e)
{

    $response_array['status'] = false;
    $response_array['description'] = $e->getMessage();
    $response_array['file'] = $e->getFile();
    $response_array['line'] = $e->getLine();

    header('Content-type: application/json');
    echo json_encode($response_array);
}

